import React from 'react';

export default class HorizontalCrosshairOverlay extends React.Component {
  static defaultProps = {
    valueLabelHeight: 0,
    labelFontSize: 1,
    x: 0,
    y: 0
  };

  renderGrid () {
    const {height, width, x, y, targetCoordX, targetCoordY} = this.props;
    return (
        <g className={'crosshair'}>
            <line
                className={'vertical'}
                pointerEvents={'none'}
                stroke={'black'}
                strokeWidth={1}
                x1={targetCoordX}
                x2={targetCoordX}
                y1={height}
                y2={y}
            />
            <line
                className={'horizontal'}
                pointerEvents={'none'}
                stroke={'black'}
                strokeWidth={1}
                x1={width + x}
                x2={x}
                y1={targetCoordY}
                y2={targetCoordY}
            />
        </g>
    );
  }

  render () {
    const {targetCoordX, targetCoordY} = this.props;
    return (<g className={'selection-grid'}>
      {(targetCoordX != null && targetCoordY != null)
        && this.renderGrid()}
    </g>);

  }
}
