import React from 'react';
const LABEL_OFFSET_Y = 5;
export default class TwoDimensionalCrosshairOverlay extends React.Component {
  static defaultProps = {
    valueLabelHeight: 0,
    labelFontSize: 1
  };
  render () {
    const {targetCoord, width, height, labelFontSize, valueLabelHeight, valueLabelText, x, xPositionLabelText, y, yPositionLabelText} = this.props;
    return (
      <g className={"selection-grid"}>
        <rect
            fill={"#FFA"}
            fillOpacity={0.2}
            height={height}
            width={width}
            x={x}
            y={y}
        />
        <line
            className={"vertical-line"}
            stroke={"black"}
            strokeWidth={0.1}
            x1={targetCoord.x}
            x2={targetCoord.x}
            y1={height}
            y2={y}
        />
        <text
            fontSize={labelFontSize}
            textAnchor={"middle"}
            x={targetCoord.x}
            y={height + LABEL_OFFSET_Y}
        >{xPositionLabelText}</text>
        <text
            fontSize={labelFontSize}
            textAnchor={"middle"}
            x={targetCoord.x}
            y={height - valueLabelHeight}
        >{valueLabelText}</text>
        <line
            className={"horizontal-line"}
            stroke={"black"}
            strokeWidth={0.1}
            x1={width + x}
            x2={x}
            y1={targetCoord.y}
            y2={targetCoord.y}
        />
        <text
            fontSize={labelFontSize}
            textAnchor={"middle"}
            transform={`rotate(-90, ${x}, ${targetCoord.y})`}
            x={x - labelFontSize / 2}
            y={targetCoord.y}
        >{yPositionLabelText}</text>

      </g>
    );
  }
}

TwoDimensionalCrosshairOverlay.defaultProps = {
  labelFontSize: 2.5
};
