import React from 'react';
import HorizontalCrosshairOverlay from '../../components/HorizontalCrosshairOverlay';

const OVERLAY_HEIGHT_OFFSET = 100;

const CrosshairOverlayWrapper = Component => class extends React.Component {
  constructor (props) {
    super(props);
    this.state = {currentMousePos: {x: null, y: null}};
  }
  static displayName = `CrosshairOverlayWrapper[${Component.displayName || Component.name}]`;
  render () {
    const {currentMousePos} = this.state;

    return (
      <g
          height={this.props.height}
          onMouseMove={(event) => {
            const mousePos = {x: event.nativeEvent.offsetX, y: event.nativeEvent.offsetY};
            this.setState({currentMousePos: mousePos});
          }}
          pointerEvents={"all"}
          width={this.props.width}
          x={this.props.x}
          y={this.props.y}
      >
        <Component {...this.props} />
        <HorizontalCrosshairOverlay {...this.props}
            height={this.props.height - OVERLAY_HEIGHT_OFFSET}
            positionLabelText={""}
            targetCoordX={currentMousePos.x}
            targetCoordY={currentMousePos.y}
        />
    </g>);
  }
};

export default CrosshairOverlayWrapper;
