var path = require('path');

module.exports = {
  cache: false,
  entry: './index.js',
  resolve: {
    fallback: path.join(__dirname, 'node_modules')
  },
  output: {
    path: path.join(__dirname, '/build'),
    publicPath: '/',
    pathinfo: true,
    libraryTarget: 'commonjs',
    filename: 'stationx-caesium-subcomponents.js'
  },
  devtool: '#inline-source-map',
  module: {
    loaders: [
      {
        test: /\.css$/,
        loader: 'style!css'
      }, {
        test: /\.less$/,
        loader: 'style!css!less'
      }, {
        test: /\.jsx?$/,
        exclude: /(node_modules|jam|bootstrap)/,
        loader: 'babel'
      }
    ]
  }
};
